package rozwiazania_zadan.r1.z03_szewc.b_wersje_poprawne;

import javax.swing.JOptionPane;

public class Szewc5_While {

	static String nazwaDniaTygodnia(int numer) {
		switch(numer) {
		case 1: return "poniedziałek";
		case 2: return "wtorek";
		case 3: return "środa";
		case 4: return "czwartek";
		case 5: return "piątek";
		case 6: return "sobota";
		case 7: return "niedziela";
		default: throw new IllegalArgumentException("Nieprawidłowy numer dnia tygodnia " + numer);
		}
	}
	
	public static void main(String[] args) {
		int poczatek = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia\nkiedy oddajesz buty do naprawy:"));
		int czasNaprawy = Integer.parseInt(JOptionPane.showInputDialog("Ile dni będzie trwać naprawa?"));
		
		// ewentualnie można sprawdzać poprawność danych wejściowych
		
		int koniec = poczatek + czasNaprawy;
		while(koniec > 7) {
			koniec -= 7;
		}
		
		String nazwa = nazwaDniaTygodnia(koniec);
		JOptionPane.showMessageDialog(null, "Buty będą do odbioru w dzień " + koniec + ", czyli " + nazwa +".");

	}

}
